Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.model
Enum IServiceDescription.CookieProtocol

    java.lang.Object
      java.lang.Enum<IServiceDescription.CookieProtocol>
          com.bea.wsrp.model.IServiceDescription.CookieProtocol

All Implemented Interfaces
  Serializable, Comparable<IServiceDescription.CookieProtocol>

Enclosing interface:
  IServiceDescription

    public static enum IServiceDescription.CookieProtocol

extends Enum<IServiceDescription.CookieProtocol>

Cookie protocol.

Enum Constant Summary
`none` none, init cookies are not required
`perGroup` perGroup, init cookies are required once per group per user
`perUser` perUser, init cookies are required once per user portlet

Method Summary
`static IServiceDescription.CookieProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IServiceDescription.CookieProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final IServiceDescription.CookieProtocol none

  none, init cookies are not required

### perGroup

    public static final IServiceDescription.CookieProtocol perGroup

  perGroup, init cookies are required once per group per user

### perUser

    public static final IServiceDescription.CookieProtocol perUser

  perUser, init cookies are required once per user portlet

Method Detail

### values

    public static final IServiceDescription.CookieProtocol[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static IServiceDescription.CookieProtocol valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.